Bug 1051688 - Review Request: compton - compositor forked from xcompmgr-dana
Summary: Review Request: compton - compositor forked from xcompmgr-dana
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-NEEDSPONSOR FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2014-01-10 21:42 UTC by Matthew Robinson
Modified: 2020-08-10 00:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-10 00:48:23 UTC
Type: ---


Attachments (Terms of Use)

Description Matthew Robinson 2014-01-10 21:42:14 UTC
Spec URL: http://fedorapeople.org/~mrobinson/compton.spec
SRPM URL: http://fedorapeople.org/~mrobinson/compton-0.1_beta2.6772ffb-1.fc20.src.rpm
Description: Compton is a fork of xcompmgr-dana that fixes several bugs from the original xcompmgr and introduces new features. These include different transparency types, dimming, and an OpenGL backend. There are also fixes to memory leaks. More info here: https://github.com/chjj/compton
Fedora Account System Username: mrobinson

Comment 1 Matthew Robinson 2014-01-13 15:07:10 UTC
What's the typical process for packages like these that have already been built, but not updated for new versions? I didn't see anything about this on the wiki page for becoming a package maintainer. Specifically here: https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Ensure_the_software_you_wish_to_package_is_suitable

Comment 2 Matthew Robinson 2014-01-13 15:58:37 UTC
Looks like it was orphaned previously:

https://admin.fedoraproject.org/pkgdb/acls/name/compton

Comment 3 bodhi.zazen 2014-12-25 22:10:55 UTC
I am posting here as I am willing to package this (rather then opening a new review request)

Comment 4 Michael Schwendt 2015-08-05 08:47:11 UTC
The process for claiming ownership of retired packages is explained here:

  https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life#Unretire_a_Package

  https://fedoraproject.org/wiki/Orphaned_package_that_need_new_maintainers

[...]

The review process is explained here:

  https://fedoraproject.org/wiki/Package_Review_Process

Basically, anyone can contribute a review based on the Review Guidelines, but only members of the packager group may approve packages finally. And in case of the package submitter not being a packager yet, here's the process:
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

[...]

What's up with bug 999732 with regard to the snapshot in this package?

[...]

A few relevant links:

 * https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Package_Versioning
 * https://fedoraproject.org/wiki/Packaging:SourceURL
 * https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text
 * https://fedoraproject.org/wiki/Packaging:Guidelines#Desktop_files

[...]

Consider pointing the fedora-review tool at this ticket:

  fedora-review -b 1051688

It downloads the latest spec file and src.rpm from the "Spec URL:" and "SRPM URL:" lines it can find and performs many helpful checks on them, involving a local test-build, too.

[...]

How does 

 -DCOMPTON_VERSION="\"git--\""

related to

  Version:        0.1_beta2.%{git_hash}

in the package?


Also, latest package published at Fedora is:

  compton-0-0.3.20121218g75aec17.fc19
  http://koji.fedoraproject.org/koji/packageinfo?packageID=14237

Why does this new package set "Epoch"?

[...]

Has there been no new release since 2014-01-10?

[...]

Some minimum interest in "compton" provided, it should be easier for multiple people to perform self-reviews and offer maintained packages for potential sponsors.

Comment 5 Package Review 2020-07-10 00:49:04 UTC
This is an automatic check from review-stats script.

This review request ticket hasn't been updated for some time. We're sorry
it is taking so long. If you're still interested in packaging this software
into Fedora repositories, please respond to this comment clearing the
NEEDINFO flag.

You may want to update the specfile and the src.rpm to the latest version
available and to propose a review swap on Fedora devel mailing list to increase
chances to have your package reviewed. If this is your first package and you
need a sponsor, you may want to post some informal reviews. Read more at
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group.

Without any reply, this request will shortly be considered abandoned
and will be closed.
Thank you for your patience.

Comment 6 Package Review 2020-08-10 00:48:23 UTC
This is an automatic action taken by review-stats script.

The ticket submitter failed to clear the NEEDINFO flag in a month.
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
we consider this ticket as DEADREVIEW and proceed to close it.


Note You need to log in before you can comment on or make changes to this bug.